      program main
      implicit real*8 (a-h,o-z)
      integer i
      double precision x, y, xn, yn, h, zero
      zero = 0.0d0
      x = 1.0d0
      y = 0.0d0
      h = 0.05d0
      write(6,*) zero, x, y
      do i=1, 400
         xn = (1.0d0 + h) * x - 2.0d0 * h * y
         yn = h * x + (1.0d0 - h) *y
         write(6,*) dble(i)*h, xn, yn
         x = xn
         y = yn
      end do
      stop
      end